Orientation (JavaFX 13)

Module javafx.graphics
Package javafx.geometry

## Enum Orientation

- java.lang.Object
- - java.lang.Enum<Orientation>
  - - javafx.geometry.Orientation

- All Implemented Interfaces:
    `Serializable`, `Comparable<Orientation>`

      public enum Orientation
      extends Enum<Orientation>

  Orientation
  Since:
    JavaFX 2.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `HORIZONTAL` | The horizontal (right <-> left) orientation
    `VERTICAL` | The vertical (top <-> bottom) orientation

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Orientation` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Orientation[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HORIZONTAL

          public static final Orientation HORIZONTAL

      The horizontal (right <-> left) orientation

    - #### VERTICAL

          public static final Orientation VERTICAL

      The vertical (top <-> bottom) orientation

  - ### Method Detail

    - #### values

          public static Orientation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Orientation c : Orientation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Orientation valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null